#include "element.h"

#ifndef SET
#define SET

typedef struct SetItemStruct
{
    Element element;
    struct SetItemStruct *next;
} SetItem;

typedef SetItem *Set;

#endif

Set addToSet(Set set, Element element);
Set removeFromSet(Set set, Element element);
boolean setContainsElement(Set set, Element element);
int countElementsInSet(Set set);
Set setDifference(Set a, Set b);
Set setUnion(Set a, Set b);
Set setIntersection(Set a, Set b);

void saveSetToTxt(FILE *f, Set set);
void readSetFromTxt(FILE *f, Set *set);
void printSet(Set set);
