#include <string.h>
#include "readField.h"
#include "element.h"

#define SEP ','

int compareElements(Element a, Element b)
{
    int titoloCmpResult = strcmp(a.titolo, b.titolo);
    return titoloCmpResult != 0 ? titoloCmpResult : strcmp(a.autore, b.autore);
}

void saveElementToTxt(FILE *f, Element e)
{
    fprintf(f, "%s,%s,%s,%d\n", e.titolo, e.autore, e.genere, e.copie);
}

boolean readElementFromTxt(FILE *f, Element *e)
{
    boolean ok;
    ok = readField(e->titolo, SEP, f) == SEP;
    ok = ok && readField(e->autore, SEP, f) == SEP;
    ok = ok && readField(e->genere, SEP, f) == SEP;
    ok = ok && fscanf(f, "%d", &e->copie) == 1;
    fgetc(f);   //Mangia il fine linea
    return ok;
}

void printElement(Element e)
{
    printf("Titolo: %s\n\tAutore: %s\n\tGenere: %s\n\tCopie disponibili: %d\n",
        e.titolo, e.autore, e.genere, e.copie);
}