#include <stdio.h>
#include "boolean.h"

#ifndef ELEMENT
#define ELEMENT

#define TITOLO_DIM 51
#define AUTORE_DIM 41
#define GENERE_DIM 31

typedef struct
{
    char titolo[TITOLO_DIM];
    char autore[AUTORE_DIM];
    char genere[GENERE_DIM];
    int copie;
} Libro;

typedef Libro Element;

#endif

int compareElements(Element a, Element b);

void saveElementToTxt(FILE *f, Element e);
boolean readElementFromTxt(FILE *f, Element *e);
void printElement(Element e);