/**********************************************************************
*       Author   : Gabriele Zannoni
*       Created  : 4/12/2007 - 19:45
*       Modified : 4/12/2007 - 19:45
*
*       Description :
*         No description
***********************************************************************/


#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "set.h"

void myPrintSet(char title[], Set set)
{
    printf("\n---------- %s ----------\n", title);
    printSet(set);
    printf("Stampati %d libri\n", countElementsInSet(set));
}

int main(void)
{
    Set b1, b2, b3;
    FILE *fb1, *fb2, *fb3;
    fb1 = fopen("biblio1.txt", "r");
    fb2 = fopen("biblio2.txt", "r");

    readSetFromTxt(fb1, &b1);
    readSetFromTxt(fb2, &b2);

    fclose(fb1);
    fclose(fb2);

    myPrintSet("Biblioteca 1", b1);    
    myPrintSet("Biblioteca 2", b2);

    b3 = setIntersection(b1, b2);
    myPrintSet("Intersezione", b3);

    b3 = setUnion(b1, b2);
    myPrintSet("Unione", b3);
    fb3 = fopen("biblio3.txt", "w");
    saveSetToTxt(fb3, b3);
    fclose(fb3);

    b3 = setDifference(b1, b2);
    myPrintSet("Differenza", b3);

	system("PAUSE");
	return (0);
}


